package de.unikoblenz.fgbks.core.dmn.domain.vdmn.parser;

import de.unikoblenz.fgbks.core.dmn.domain.vdmn.VDmnDefinitions;
import org.camunda.bpm.model.dmn.DmnModelInstance;

public interface DmnModelInstanceWrapper {

  /**
   * Parse a {@link DmnModelInstance} to an instance of {@link VDmnDefinitions}.
   *
   * @param dmnModelInstance the {@link DmnModelInstance}
   * @return a new instance of {@link VDmnDefinitions}
   */
  VDmnDefinitions getVDmnDefinition(DmnModelInstance dmnModelInstance);
}
